SCALBN(3)

NAME
scalbn, scalbln

SYNOPSIS
#include <math.h>
double
scalbn(double x, int n);
long double
scalbnl(long double x, int n);
float
scalbnf(float x, int n);
double
scalbln(double x, long int n);
long double
scalblnl(long double x, long int n);
float
scalblnf(float x, long int n);

DESCRIPTION
The scalbn() , and scalbln() functions return x*(2**n) computed by exponent manipulation.

SPECIAL VALUES
scalbn(±0, n) returns ±0.

scalbn(x, 0) returns x.

scalbn(±infinity, n) returns ±infinity.

scalbln() has the same special values.

NOTE
The scalb() function is deprecated. scalbn() should be used instead.

VECTOR OPERATIONS
If you need to apply the scalbn() functions to SIMD vectors or arrays, using the following function provided by the Accelerate.framework may give significantly better performance:

#include <Accelerate/Accelerate.h>

vFloat vscalbf(vFloat x, vSInt32);

SEE ALSO
math(3), ldexp(3)

STANDARDS
The scalbn() and scalbln() functions conform to ISO/IEC 9899:2011.